<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/TrackerPulseCollection.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TrackerPulseCollection.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_tracker_pulse_collection_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_tracker_pulse_collection_8h.html">eicd/TrackerPulseCollection.h</a>&quot;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_tracker_data_collection_8h.html">eicd/TrackerDataCollection.h</a>&quot;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">// standard includes</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &lt;stdexcept&gt;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &lt;iomanip&gt;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_collection.html#a37bd40980a93c5443bd5e4b71585902a">   14</a></span>&#160;<a class="code" href="classeic_1_1_tracker_pulse_collection.html#a37bd40980a93c5443bd5e4b71585902a">TrackerPulseCollection::TrackerPulseCollection</a>() :</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;  m_isValid(false), m_collectionID(0), m_entries(),</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;  m_rel_corrData(new std::vector&lt;<a class="code" href="namespaceeic.html">eic</a>::<a class="code" href="classeic_1_1_const_tracker_data.html">ConstTrackerData</a>&gt;()),</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;  m_data(new <a class="code" href="namespaceeic.html#a3eed290c852ab2673ad8170c7697148e">TrackerPulseDataContainer</a>()) {</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;  m_refCollections.push_back(<span class="keyword">new</span> std::vector&lt;podio::ObjectID&gt;());</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;}</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_collection.html#a22d6201713a9105c4fe1bfd8437d702d">   21</a></span>&#160;<a class="code" href="classeic_1_1_tracker_pulse_collection.html#a22d6201713a9105c4fe1bfd8437d702d">TrackerPulseCollection::~TrackerPulseCollection</a>() {</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  <a class="code" href="classeic_1_1_tracker_pulse_collection.html#a5b4f38dd27ba8b7dad83c4d98ddf338d">clear</a>();</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  <span class="keywordflow">if</span> (m_data) <span class="keyword">delete</span> m_data;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; pointer : m_refCollections) { <span class="keywordflow">if</span> (pointer) <span class="keyword">delete</span> pointer; }</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;  <span class="keywordflow">if</span> (m_rel_corrData) <span class="keyword">delete</span> m_rel_corrData;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;}</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_collection.html#a54f3f1a89e59aaf6c96619f639659525">   28</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a> <a class="code" href="classeic_1_1_tracker_pulse_collection.html#a54f3f1a89e59aaf6c96619f639659525">TrackerPulseCollection::operator[]</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index)<span class="keyword"> const </span>{</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a>(m_entries[index]);</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;}</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_collection.html#a86f7f784413f889b422ac2aae0f3315a">   32</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a> <a class="code" href="classeic_1_1_tracker_pulse_collection.html#a86f7f784413f889b422ac2aae0f3315a">TrackerPulseCollection::at</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index)<span class="keyword"> const </span>{</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a>(m_entries.at(index));</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;}</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_collection.html#aca0c1e560c07978fba7326eb5c244277">   36</a></span>&#160;<a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a> <a class="code" href="classeic_1_1_tracker_pulse_collection.html#a54f3f1a89e59aaf6c96619f639659525">TrackerPulseCollection::operator[]</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) {</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a>(m_entries[index]);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;}</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_collection.html#a9848322446d079b1282d5885f9728ea3">   40</a></span>&#160;<a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a> <a class="code" href="classeic_1_1_tracker_pulse_collection.html#a86f7f784413f889b422ac2aae0f3315a">TrackerPulseCollection::at</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) {</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a>(m_entries.at(index));</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;}</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_collection.html#a3bed539c0236439ccd84007b8c463483">   44</a></span>&#160;<span class="keywordtype">size_t</span> <a class="code" href="classeic_1_1_tracker_pulse_collection.html#a3bed539c0236439ccd84007b8c463483">TrackerPulseCollection::size</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;  <span class="keywordflow">return</span> m_entries.size();</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;}</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_collection.html#a60f3f907fde33908af8da79b591f2259">   48</a></span>&#160;<a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a> <a class="code" href="classeic_1_1_tracker_pulse_collection.html#a60f3f907fde33908af8da79b591f2259">TrackerPulseCollection::create</a>() {</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;  <span class="keyword">auto</span> obj = m_entries.emplace_back(<span class="keyword">new</span> <a class="code" href="classeic_1_1_tracker_pulse_obj.html">TrackerPulseObj</a>());</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  obj-&gt;id = {int(m_entries.size() - 1), m_collectionID};</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a>(obj);</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;}</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_collection.html#a5b4f38dd27ba8b7dad83c4d98ddf338d">   55</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_pulse_collection.html#a5b4f38dd27ba8b7dad83c4d98ddf338d">TrackerPulseCollection::clear</a>() {</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  m_data-&gt;clear();</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; pointer : m_refCollections) { pointer-&gt;clear(); }</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; item : (*m_rel_corrData)) { item.unlink(); }</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  m_rel_corrData-&gt;clear();</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; obj : m_entries) { <span class="keyword">delete</span> obj; }</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  m_entries.clear();</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;}</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_collection.html#af8894b850ba499f145cd89aa97249dce">   65</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_pulse_collection.html#af8894b850ba499f145cd89aa97249dce">TrackerPulseCollection::prepareForWrite</a>() {</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> <a class="code" href="classeic_1_1_tracker_pulse_collection.html#a3bed539c0236439ccd84007b8c463483">size</a> = m_entries.size();</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;  m_data-&gt;reserve(<a class="code" href="classeic_1_1_tracker_pulse_collection.html#a3bed539c0236439ccd84007b8c463483">size</a>);</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; obj : m_entries) { m_data-&gt;push_back(obj-&gt;data); }</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; pointer : m_refCollections) { pointer-&gt;clear(); }</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; obj : m_entries) {</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="keywordflow">if</span> (obj-&gt;m_corrData) {</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;      m_refCollections[0]-&gt;emplace_back(obj-&gt;m_corrData-&gt;getObjectID());</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    } <span class="keywordflow">else</span> {</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;       m_refCollections[0]-&gt;push_back({podio::ObjectID::invalid, podio::ObjectID::invalid});</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    }</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;  }</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;}</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_collection.html#aea6158a0ece71c0c0f44dff72eb5194b">   82</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_pulse_collection.html#aea6158a0ece71c0c0f44dff72eb5194b">TrackerPulseCollection::prepareAfterRead</a>() {</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;  <span class="keywordtype">int</span> index = 0;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; data : *m_data) {</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keyword">auto</span> obj = <span class="keyword">new</span> <a class="code" href="classeic_1_1_tracker_pulse_obj.html">TrackerPulseObj</a>({index, m_collectionID}, data);</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    m_entries.emplace_back(obj);</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    ++index;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;  }</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;  m_isValid = <span class="keyword">true</span>;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;}</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_collection.html#abcf2bc499a277cca3ed1294b385cea6e">   93</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_tracker_pulse_collection.html#abcf2bc499a277cca3ed1294b385cea6e">TrackerPulseCollection::setReferences</a>(<span class="keyword">const</span> podio::ICollectionProvider* collectionProvider) {</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> i = 0, <a class="code" href="classeic_1_1_tracker_pulse_collection.html#a3bed539c0236439ccd84007b8c463483">size</a> = m_entries.size(); i != <a class="code" href="classeic_1_1_tracker_pulse_collection.html#a3bed539c0236439ccd84007b8c463483">size</a>; ++i) {</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="keyword">const</span> <span class="keyword">auto</span> <span class="keywordtype">id</span> = (*m_refCollections[0])[i];</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    <span class="keywordflow">if</span> (<span class="keywordtype">id</span>.index != podio::ObjectID::invalid) {</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        CollectionBase* coll = <span class="keyword">nullptr</span>;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;      collectionProvider-&gt;get(<span class="keywordtype">id</span>.collectionID, coll);</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;      <a class="code" href="classeic_1_1_tracker_data_collection.html">eic::TrackerDataCollection</a>* tmp_coll = <span class="keyword">static_cast&lt;</span><a class="code" href="classeic_1_1_tracker_data_collection.html">eic::TrackerDataCollection</a>*<span class="keyword">&gt;</span>(coll);</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;      m_entries[i]-&gt;m_corrData = <span class="keyword">new</span> <a class="code" href="classeic_1_1_const_tracker_data.html">ConstTrackerData</a>((*tmp_coll)[<span class="keywordtype">id</span>.index]);</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    } <span class="keywordflow">else</span> {</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;      m_entries[i]-&gt;m_corrData = <span class="keyword">nullptr</span>;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    }</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;  }</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;  <span class="keywordflow">return</span> <span class="keyword">true</span>; <span class="comment">//TODO: check success</span></div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;}</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_collection.html#a8bac0f577baf772cb62e1daa4826e9f9">  110</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_pulse_collection.html#a8bac0f577baf772cb62e1daa4826e9f9">TrackerPulseCollection::push_back</a>(<a class="code" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a> <span class="keywordtype">object</span>) {</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_tracker_pulse_collection.html#a3bed539c0236439ccd84007b8c463483">size</a> = m_entries.size();</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;  <span class="keyword">auto</span> obj = <span class="keywordtype">object</span>.m_obj;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;  <span class="keywordflow">if</span> (obj-&gt;id.index == podio::ObjectID::untracked) {</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    obj-&gt;id = {<a class="code" href="classeic_1_1_tracker_pulse_collection.html#a3bed539c0236439ccd84007b8c463483">size</a>, m_collectionID};</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    m_entries.push_back(obj);</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;  } <span class="keywordflow">else</span> {</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <span class="keywordflow">throw</span> std::invalid_argument(<span class="stringliteral">&quot;Object already in a collection. Cannot add it to a second collection&quot;</span>);</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  }</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;}</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_collection.html#ae470af9a64817ae4e3570ca93b7bfa1a">  122</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_pulse_collection.html#ae470af9a64817ae4e3570ca93b7bfa1a">TrackerPulseCollection::setBuffer</a>(<span class="keywordtype">void</span>* address) {</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;  <span class="keywordflow">if</span> (m_data) <span class="keyword">delete</span> m_data;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;  m_data = <span class="keyword">static_cast&lt;</span><a class="code" href="namespaceeic.html#a3eed290c852ab2673ad8170c7697148e">TrackerPulseDataContainer</a>*<span class="keyword">&gt;</span>(address);</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;}</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_collection_iterator.html#acb7aec317002ef08af35e907e37c2fab">  127</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a> <a class="code" href="classeic_1_1_tracker_pulse_collection_iterator.html#acb7aec317002ef08af35e907e37c2fab">TrackerPulseCollectionIterator::operator*</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;  m_object.m_obj = (*m_collection)[m_index];</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;  <span class="keywordflow">return</span> m_object;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;}</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_collection_iterator.html#a9704fe214e780cbeb8d620b885286a6b">  132</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a>* <a class="code" href="classeic_1_1_tracker_pulse_collection_iterator.html#a9704fe214e780cbeb8d620b885286a6b">TrackerPulseCollectionIterator::operator-&gt;</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;  m_object.m_obj = (*m_collection)[m_index];</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;  <span class="keywordflow">return</span> &amp;m_object;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;}</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse_collection_iterator.html#a8839cf28b5e79121c27cd053f8222f0e">  137</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_pulse_collection_iterator.html">TrackerPulseCollectionIterator</a>&amp; <a class="code" href="classeic_1_1_tracker_pulse_collection_iterator.html#a8839cf28b5e79121c27cd053f8222f0e">TrackerPulseCollectionIterator::operator++</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;  ++m_index;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;  <span class="keywordflow">return</span> *<span class="keyword">this</span>;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;}</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;</div><div class="line"><a name="l00142"></a><span class="lineno"><a class="line" href="namespaceeic.html#a5c0d0d72a54c1455ed498b6bf8ff0358">  142</a></span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_pulse_collection.html">TrackerPulseCollection</a>&amp; v) {</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> old_flags = o.flags();</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot;          id:     cellID0:     cellID1:     quality:        time:      charge:&quot;</span> &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">size_t</span> i = 0; i &lt; v.<a class="code" href="classeic_1_1_tracker_pulse_collection.html#a3bed539c0236439ccd84007b8c463483">size</a>(); ++i) {</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    o &lt;&lt; std::scientific &lt;&lt; std::showpos &lt;&lt; std::setw(12) &lt;&lt; v[i].id() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_tracker_pulse_collection.html#a98ee91be87ba8ccea14e50c5d5772d4c">cellID0</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_tracker_pulse_collection.html#a06a5299f4fe2fd6ed966f62a577f7b21">cellID1</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_tracker_pulse_collection.html#a05475cbc98a41ae1402b9aba61d53215">quality</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_tracker_pulse_collection.html#a4e36ed3629f3296bddc03923ba434b19">time</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_tracker_pulse_collection.html#acdc7257eb05c20791b80cef90a30a5e6">charge</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;      &lt;&lt; std::endl;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    o &lt;&lt; <span class="stringliteral">&quot;      corrData : &quot;</span>;</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;    o &lt;&lt; v[i].corrData().id() &lt;&lt; std::endl;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;  }</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;  o.flags(old_flags);</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;  <span class="keywordflow">return</span> o;</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;}</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;</div><div class="ttc" id="classeic_1_1_tracker_pulse_collection_html_a8bac0f577baf772cb62e1daa4826e9f9"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection.html#a8bac0f577baf772cb62e1daa4826e9f9">eic::TrackerPulseCollection::push_back</a></div><div class="ttdeci">void push_back(ConstTrackerPulse object)</div><div class="ttdoc">Append object to the collection. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8cc_source.html#l00110">TrackerPulseCollection.cc:110</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_html_a98ee91be87ba8ccea14e50c5d5772d4c"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection.html#a98ee91be87ba8ccea14e50c5d5772d4c">eic::TrackerPulseCollection::cellID0</a></div><div class="ttdeci">const std::array&lt; long long, arraysize &gt; cellID0() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8h_source.html#l00167">TrackerPulseCollection.h:167</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_html"><div class="ttname"><a href="classeic_1_1_tracker_pulse.html">eic::TrackerPulse</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_8h_source.html#l00030">TrackerPulse.h:30</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_html"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection.html">eic::TrackerPulseCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8h_source.html#l00050">TrackerPulseCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_data_html"><div class="ttname"><a href="classeic_1_1_const_tracker_data.html">eic::ConstTrackerData</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_const_8h_source.html#l00023">TrackerDataConst.h:23</a></div></div>
<div class="ttc" id="namespaceeic_html_a3eed290c852ab2673ad8170c7697148e"><div class="ttname"><a href="namespaceeic.html#a3eed290c852ab2673ad8170c7697148e">eic::TrackerPulseDataContainer</a></div><div class="ttdeci">std::vector&lt; TrackerPulseData &gt; TrackerPulseDataContainer</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8h_source.html#l00026">TrackerPulseCollection.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_html_acdc7257eb05c20791b80cef90a30a5e6"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection.html#acdc7257eb05c20791b80cef90a30a5e6">eic::TrackerPulseCollection::charge</a></div><div class="ttdeci">const std::array&lt; float, arraysize &gt; charge() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8h_source.html#l00207">TrackerPulseCollection.h:207</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_html_a54f3f1a89e59aaf6c96619f639659525"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection.html#a54f3f1a89e59aaf6c96619f639659525">eic::TrackerPulseCollection::operator[]</a></div><div class="ttdeci">const TrackerPulse operator[](unsigned int index) const</div><div class="ttdoc">Returns the const object of given index. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8cc_source.html#l00028">TrackerPulseCollection.cc:28</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_html_a4e36ed3629f3296bddc03923ba434b19"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection.html#a4e36ed3629f3296bddc03923ba434b19">eic::TrackerPulseCollection::time</a></div><div class="ttdeci">const std::array&lt; float, arraysize &gt; time() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8h_source.html#l00197">TrackerPulseCollection.h:197</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_html_ae470af9a64817ae4e3570ca93b7bfa1a"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection.html#ae470af9a64817ae4e3570ca93b7bfa1a">eic::TrackerPulseCollection::setBuffer</a></div><div class="ttdeci">void setBuffer(void *address) override final</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8cc_source.html#l00122">TrackerPulseCollection.cc:122</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_html_af8894b850ba499f145cd89aa97249dce"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection.html#af8894b850ba499f145cd89aa97249dce">eic::TrackerPulseCollection::prepareForWrite</a></div><div class="ttdeci">void prepareForWrite() override final</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8cc_source.html#l00065">TrackerPulseCollection.cc:65</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_html_aea6158a0ece71c0c0f44dff72eb5194b"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection.html#aea6158a0ece71c0c0f44dff72eb5194b">eic::TrackerPulseCollection::prepareAfterRead</a></div><div class="ttdeci">void prepareAfterRead() override final</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8cc_source.html#l00082">TrackerPulseCollection.cc:82</a></div></div>
<div class="ttc" id="_tracker_data_collection_8h_html"><div class="ttname"><a href="_tracker_data_collection_8h.html">TrackerDataCollection.h</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_collection_html"><div class="ttname"><a href="classeic_1_1_tracker_data_collection.html">eic::TrackerDataCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_collection_8h_source.html#l00050">TrackerDataCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_html_a37bd40980a93c5443bd5e4b71585902a"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection.html#a37bd40980a93c5443bd5e4b71585902a">eic::TrackerPulseCollection::TrackerPulseCollection</a></div><div class="ttdeci">TrackerPulseCollection()</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8cc_source.html#l00014">TrackerPulseCollection.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_html_a86f7f784413f889b422ac2aae0f3315a"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection.html#a86f7f784413f889b422ac2aae0f3315a">eic::TrackerPulseCollection::at</a></div><div class="ttdeci">const TrackerPulse at(unsigned int index) const</div><div class="ttdoc">Returns the const object of given index. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8cc_source.html#l00032">TrackerPulseCollection.cc:32</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_html_a22d6201713a9105c4fe1bfd8437d702d"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection.html#a22d6201713a9105c4fe1bfd8437d702d">eic::TrackerPulseCollection::~TrackerPulseCollection</a></div><div class="ttdeci">~TrackerPulseCollection()</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8cc_source.html#l00021">TrackerPulseCollection.cc:21</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_html_a5b4f38dd27ba8b7dad83c4d98ddf338d"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection.html#a5b4f38dd27ba8b7dad83c4d98ddf338d">eic::TrackerPulseCollection::clear</a></div><div class="ttdeci">void clear() override final</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8cc_source.html#l00055">TrackerPulseCollection.cc:55</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_html_a60f3f907fde33908af8da79b591f2259"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection.html#a60f3f907fde33908af8da79b591f2259">eic::TrackerPulseCollection::create</a></div><div class="ttdeci">TrackerPulse create()</div><div class="ttdoc">Append a new object to the collection, and return this object. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8cc_source.html#l00048">TrackerPulseCollection.cc:48</a></div></div>
<div class="ttc" id="_tracker_pulse_collection_8h_html"><div class="ttname"><a href="_tracker_pulse_collection_8h.html">TrackerPulseCollection.h</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_html_abcf2bc499a277cca3ed1294b385cea6e"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection.html#abcf2bc499a277cca3ed1294b385cea6e">eic::TrackerPulseCollection::setReferences</a></div><div class="ttdeci">bool setReferences(const podio::ICollectionProvider *collectionProvider) override final</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8cc_source.html#l00093">TrackerPulseCollection.cc:93</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_iterator_html_acb7aec317002ef08af35e907e37c2fab"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection_iterator.html#acb7aec317002ef08af35e907e37c2fab">eic::TrackerPulseCollectionIterator::operator*</a></div><div class="ttdeci">const TrackerPulse operator*() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8cc_source.html#l00127">TrackerPulseCollection.cc:127</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_html_a3bed539c0236439ccd84007b8c463483"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection.html#a3bed539c0236439ccd84007b8c463483">eic::TrackerPulseCollection::size</a></div><div class="ttdeci">size_t size() const override final</div><div class="ttdoc">number of elements in the collection </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8cc_source.html#l00044">TrackerPulseCollection.cc:44</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_html_a06a5299f4fe2fd6ed966f62a577f7b21"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection.html#a06a5299f4fe2fd6ed966f62a577f7b21">eic::TrackerPulseCollection::cellID1</a></div><div class="ttdeci">const std::array&lt; long long, arraysize &gt; cellID1() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8h_source.html#l00177">TrackerPulseCollection.h:177</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_iterator_html_a8839cf28b5e79121c27cd053f8222f0e"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection_iterator.html#a8839cf28b5e79121c27cd053f8222f0e">eic::TrackerPulseCollectionIterator::operator++</a></div><div class="ttdeci">const TrackerPulseCollectionIterator &amp; operator++() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8cc_source.html#l00137">TrackerPulseCollection.cc:137</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_html_a05475cbc98a41ae1402b9aba61d53215"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection.html#a05475cbc98a41ae1402b9aba61d53215">eic::TrackerPulseCollection::quality</a></div><div class="ttdeci">const std::array&lt; int, arraysize &gt; quality() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8h_source.html#l00187">TrackerPulseCollection.h:187</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_obj_html"><div class="ttname"><a href="classeic_1_1_tracker_pulse_obj.html">eic::TrackerPulseObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_obj_8h_source.html#l00022">TrackerPulseObj.h:22</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_pulse_html"><div class="ttname"><a href="classeic_1_1_const_tracker_pulse.html">eic::ConstTrackerPulse</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_const_8h_source.html#l00028">TrackerPulseConst.h:28</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection_iterator.html">eic::TrackerPulseCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8h_source.html#l00029">TrackerPulseCollection.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_iterator_html_a9704fe214e780cbeb8d620b885286a6b"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection_iterator.html#a9704fe214e780cbeb8d620b885286a6b">eic::TrackerPulseCollectionIterator::operator-&gt;</a></div><div class="ttdeci">const TrackerPulse * operator-&gt;() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8cc_source.html#l00132">TrackerPulseCollection.cc:132</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
